-- phpMyAdmin SQL Dump
-- version 4.7.4
-- https://www.phpmyadmin.net/
--
-- Host: 127.0.0.1:3306
-- Generation Time: Jun 17, 2020 at 09:40 PM
-- Server version: 5.7.19
-- PHP Version: 7.1.9

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET AUTOCOMMIT = 0;
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Database: `dogadjaji2020`
--
DROP DATABASE IF EXISTS `dogadjaji2020`;
CREATE DATABASE IF NOT EXISTS `dogadjaji2020` DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci;
USE `dogadjaji2020`;

-- --------------------------------------------------------

--
-- Table structure for table `dogadjaj`
--

DROP TABLE IF EXISTS `dogadjaj`;
CREATE TABLE IF NOT EXISTS `dogadjaj` (
  `id_dog` int(11) NOT NULL AUTO_INCREMENT,
  `naziv` varchar(32) COLLATE utf8_unicode_ci NOT NULL,
  `id_lokacije` int(11) NOT NULL,
  `id_kategorije` varchar(32) COLLATE utf8_unicode_ci NOT NULL,
  `datum` date NOT NULL,
  `vreme` time NOT NULL,
  `broj_interesenata` int(11) NOT NULL,
  `je_otkazan` tinyint(1) NOT NULL,
  PRIMARY KEY (`id_dog`),
  KEY `id_lokacije` (`id_lokacije`),
  KEY `id_kategorije` (`id_kategorije`)
) ENGINE=InnoDB AUTO_INCREMENT=10 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Dumping data for table `dogadjaj`
--

INSERT INTO `dogadjaj` (`id_dog`, `naziv`, `id_lokacije`, `id_kategorije`, `datum`, `vreme`, `broj_interesenata`, `je_otkazan`) VALUES
(1, 'Leto na Kališu', 1, 'Muzički događaji', '2020-06-20', '19:30:00', 13, 0),
(2, 'GBT na Kališu', 3, 'Muzički događaji', '2020-06-19', '23:00:00', 45, 0),
(3, 'Zdravko Čolić koncert', 7, 'Muzički događaji', '2020-06-20', '20:00:00', 2345, 0),
(4, 'Koncert Zdravko Čolić', 6, 'Muzički događaji', '2020-06-26', '20:30:00', 3456, 1),
(5, 'Tenis Djokovic-Troicki', 2, 'Sportski događaji', '2020-06-21', '14:00:00', 455, 0),
(6, 'Djokovic - Nadal tenis', 2, 'Sportski događaji', '2020-06-21', '20:00:00', 555, 1),
(7, 'Tenis Djokovic-Zverev', 2, 'Sportski događaji', '2020-06-22', '13:00:00', 333, 0),
(8, 'Music Street 2020', 9, 'Muzički događaji', '2020-06-23', '19:30:00', 112, 1),
(9, 'Exit fest 2020', 5, 'Muzički događaji', '2020-08-04', '21:00:00', 5566, 0);

-- --------------------------------------------------------

--
-- Table structure for table `grad`
--

DROP TABLE IF EXISTS `grad`;
CREATE TABLE IF NOT EXISTS `grad` (
  `ime_grada` varchar(32) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`ime_grada`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Dumping data for table `grad`
--

INSERT INTO `grad` (`ime_grada`) VALUES
('Beograd'),
('Kragujevac'),
('Niš'),
('Novi Sad'),
('Smederevo');

-- --------------------------------------------------------

--
-- Table structure for table `kategorija`
--

DROP TABLE IF EXISTS `kategorija`;
CREATE TABLE IF NOT EXISTS `kategorija` (
  `naziv` varchar(32) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`naziv`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Dumping data for table `kategorija`
--

INSERT INTO `kategorija` (`naziv`) VALUES
('Muzički događaji'),
('Pozorište i film'),
('Sportski događaji');

-- --------------------------------------------------------

--
-- Table structure for table `lokacija`
--

DROP TABLE IF EXISTS `lokacija`;
CREATE TABLE IF NOT EXISTS `lokacija` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `naziv_lokacije` varchar(20) COLLATE utf8_unicode_ci NOT NULL,
  `grad` varchar(32) COLLATE utf8_unicode_ci NOT NULL,
  `adresa` varchar(32) COLLATE utf8_unicode_ci NOT NULL,
  `max_kapacitet` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `grad` (`grad`)
) ENGINE=InnoDB AUTO_INCREMENT=10 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Dumping data for table `lokacija`
--

INSERT INTO `lokacija` (`id`, `naziv_lokacije`, `grad`, `adresa`, `max_kapacitet`) VALUES
(1, 'Donji Kalemegdan', 'Beograd', 'Mali kalemegdan bb', 2500),
(2, 'Novak Tenis Centar', 'Beograd', 'SC Gale Muškatirović bb', 3000),
(3, 'Kalemegdan Bitef art', 'Beograd', 'Tadeuša Košćuška 1', 135),
(4, 'Kalemegdan pozornica', 'Beograd', 'Pariska 5', 450),
(5, 'Petrovaradin', 'Novi Sad', 'Dunavska 5', 25600),
(6, 'Marakana', 'Beograd', 'Ljutice Bogdana 1', 55000),
(7, 'Kraljev Arsenal', 'Kragujevac', 'Bojanska 22', 25800),
(8, 'Park Tašmajdan', 'Beograd', 'Mali Taš bb', 250),
(9, 'Park Studentski park', 'Beograd', 'Studentski trg 1', 386);

--
-- Constraints for dumped tables
--

--
-- Constraints for table `dogadjaj`
--
ALTER TABLE `dogadjaj`
  ADD CONSTRAINT `dogadjaj_ibfk_1` FOREIGN KEY (`id_lokacije`) REFERENCES `lokacija` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  ADD CONSTRAINT `dogadjaj_ibfk_2` FOREIGN KEY (`id_kategorije`) REFERENCES `kategorija` (`naziv`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Constraints for table `lokacija`
--
ALTER TABLE `lokacija`
  ADD CONSTRAINT `lokacija_ibfk_1` FOREIGN KEY (`grad`) REFERENCES `grad` (`ime_grada`) ON UPDATE CASCADE;
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
